* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Montserrat', sans-serif;
    font-size: 1.5rem;
    min-width: 70vw;
    min-height: 100vh;
    margin: 0 auto;
}

header,
form {
    display: flex;
    min-height: 10vh;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background-color: #f5f5f5;
    border-radius: 10px;
}

form input,
form button {
    padding: 0.5rem;
    font-size: 1.5rem;
}

form input {
    width: 40%;
    border: none;
}

#filter-todo {
    padding: 0.5rem;
    font-size: 1rem;
    padding: 0.5rem;
    margin: 0 1rem;
}

button {
    background-color: black;
    color: white;
    border: none;
    cursor: pointer;
}

form button:hover {
    background-color: #00a0ff;
    color: white;
}

ul {
    list-style: none;
}

#todo-amount {
    padding-top: 2rem;
}

.todo-section {
    display: flex;
    min-width: 60%;
    padding: 1rem 2rem;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.todo-list {
    min-width: 40%;
    margin: 1.5rem 0;
}

.todo-list-item {
    display: flex;
    margin: 0.5rem auto;
    flex-direction: row;
    padding: 0.5rem;
    border-bottom: black 2px solid;
}

.todo-list-item li {
    flex: 1;
}

.check-button,
.delete-button {
    padding: 0.5rem;
    font-size: 1rem;
    border-radius: 10px;
    margin: 0 0.5rem;
}

.delete-button:hover {
    background: red;
}

.check-button:hover {
    background: green;
}

.completed {
    text-decoration: line-through;
    color: green;
    opacity: 0.5;
}

.fas {
    pointer-events: none;
}